# Check if a page is published to Edge

Checks if the requested page is published to Edge.

Endpoint: GET /api/v1/pages/{pageId}/live
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `pageId` (string, required)
    The page identifier.

## Query parameters:

  - `language` (string, required)
    The page language.

  - `environmentId` (string)
    The identifier of the environment.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string)
    The identifier of the page.
Example value: 110d559f-dea5-42ea-9c1c-8a5df7e70ef9
    Example: 110d559f-dea5-42ea-9c1c-8a5df7e70ef9

  - `name` (string)
    The name of the page.
Example value: Home
    Example: Home

  - `displayName` (string)
    The display name of the page.
Example value: Home Page
    Example: Home Page

  - `path` (string)
    The path of the page.
Example value: /home
    Example: /home

  - `language` (string)
    The language of the page.
Example value: en-US
    Example: en-US

  - `version` (integer)
    The version number of the page.
Example value: 1
    Example: 1

  - `personalization` (object)
    Represents personalization settings for a page.

  - `personalization.variantIds` (array)
    The collection of page variant identifiers.
Example value: [
"4cf51e95-ee7e-4ad6-a69f-e4d740b03616",
"d9584f11-07d3-4cda-8373-7f97ceedbc09"
]
    Example: ["4cf51e95-ee7e-4ad6-a69f-e4d740b03616","d9584f11-07d3-4cda-8373-7f97ceedbc09"]

  - `url` (object)
    The URL information for a page.

  - `url.hostName` (string)
    The host name of the URL.
Example value: www.skate-park.com
    Example: www.skate-park.com

  - `url.path` (string)
    The path component of the URL.
Example value: /products/item1
    Example: /products/item1

  - `url.scheme` (string)
    The scheme (protocol) of the URL.
Example value: https
    Example: https

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

